\name{fopen}
\title{Simple File Streams}
\usage{
fopen(name, mode = "r")
fclose(stream)
fgets(stream)
flist()
}
\alias{fopen}
\alias{fclose}
\alias{fgets}
\alias{flist}
\arguments{
  \item{name}{a path name for a file.}
  \item{mode}{a mode string for opening the file}
  \item{stream}{a file stream reference.}
}
\description{
  These functions provide a simple interface to C file streams.  They
  are just meant as an illustration of the external pointer mechanism.
}
\details{
  The function \code{fopen} opens a file and returns a file pointer.
  The returned value is NULL if the file cannot be opened.
  \code{fopen} uses a C finalizer to insure that files are closed when
  they are garbage collected.

  \code{fclose} closes a file stream.

  \code{fgets} reads one line from the file (up to a maximum length of
  512 characters).

  \code{flist} returns a list of open file streams.
}
\keyword{file}
\author{Luke Tierney}
